# $Revision: 1.21 $, $Date: 2010/06/06 08:52:33 $
%include	/usr/lib/rpm/macros.perl
%define		_mainver	0.7
%define		_subver	.9
%define		_ver	%(echo %{_subver} |tr . -)
Summary:	dvd2avi - conversion tool
Summary(de.UTF-8):	dvd2avi - ein konversions Tool
Summary(pl.UTF-8):	dvd2avi - narzędzie do konwersji
Name:		dvd2avi
Version:	%{_mainver}%{_subver}
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/dvd2avi/%{name}-%{_mainver}%{_ver}.tgz
# Source0-md5:	a8e464ec8ffd02919ba2956ccf53ac68
Source1:	%{name}.desktop
Patch0:		%{name}-location.patch
URL:		http://dvd2avi.sourceforge.net/
BuildRequires:	rpm-perlprov
Requires:	lsdvd
Requires:	mencoder
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DVD2AVI makes conversion of DVDs to AVIs a real breeze.

%description -l de.UTF-8
DVD2AVI macht eine konversion von einer DVD zum AVI Format zum
Kinderspiel.

%description -l pl.UTF-8
DVD2AVI sprawia, że konwersja z DVD do AVI staje się lekka jak morska
bryza.

%prep
%setup -q -n opt/%{name}
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{perl_vendorarch}/Dvd2avi,%{_datadir}/dvd2avi,%{_desktopdir}}
install dvd2avi.pl $RPM_BUILD_ROOT%{_bindir}/dvd2avi
install functions.pm $RPM_BUILD_ROOT%{perl_vendorarch}/Dvd2avi/Functions.pm
install dvd2avi.glade $RPM_BUILD_ROOT%{_datadir}/dvd2avi/dvd2avi.glade
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README INSTALL
%attr(755,root,root) %{_bindir}/dvd2avi
%dir %{perl_vendorarch}/Dvd2avi
%{perl_vendorarch}/Dvd2avi/*
%dir %{_datadir}/dvd2avi
%{_datadir}/dvd2avi/*
%{_desktopdir}/dvd2avi.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dvd2avi.spec,v $
Revision 1.21  2010/06/06 08:52:33  arekm
- release 5

Revision 1.20  2010/05/12 12:33:59  baggins
- rel 4
- fixed desktop categories

Revision 1.19  2008/02/08 14:39:42  arekm
- rel 3

Revision 1.18  2007-02-21 12:01:27  vip
- missing R: mencoder, lsdvd (noticed by Pawel Długosz <duddits at 7pk dot pl>)

Revision 1.17  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.15  2006/10/25 13:42:22  shadzik
- avoid duplications in %files section

Revision 1.14  2006/10/25 13:23:18  shadzik
- move functions.pm again, this time in the right place where it belongs to
- rel 2.1

Revision 1.13  2006/10/25 13:02:14  shadzik
- cleared TODO
- rel 2

Revision 1.12  2006/07/18 10:11:19  shadzik
- up to 0.7.9

Revision 1.11  2006/07/10 09:32:38  shadzik
- 0.7.7

Revision 1.10  2006/07/04 15:50:17  qboosh
- be df-friendly

Revision 1.9  2006/07/04 15:29:03  shadzik
- better versioning

Revision 1.8  2006/07/04 10:36:14  shadzik
- up to 0.7-5

Revision 1.7  2006/06/29 23:54:27  shadzik
- up to 0.7-3; rel 3

Revision 1.6  2006/06/23 10:48:21  qboosh
- autodetect perl deps

Revision 1.5  2006/06/23 10:45:25  qboosh
- don't R perl metapackage

Revision 1.4  2006/06/20 15:54:34  shadzik
- proper group

Revision 1.3  2006/06/20 15:12:54  shadzik
- added .desktop file
- rel 2

Revision 1.2  2006/06/20 14:53:07  shadzik
- up to 0.7

Revision 1.1  2006/06/19 16:00:23  shadzik
- new
